Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## toxi.geom
Enum Plane.Classifier

    java.lang.Object
      java.lang.Enum<Plane.Classifier>
          toxi.geom.Plane.Classifier

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Plane.Classifier>

Enclosing class:
  Plane

    public static enum Plane.Classifier

extends java.lang.Enum<Plane.Classifier>

Classifier constant for `Plane.classifyPoint(ReadonlyVec3D, float)`

Enum Constant Summary
`BACK`
`FRONT`
`ON_PLANE`

Method Summary
`static Plane.Classifier` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Plane.Classifier[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FRONT

    public static final Plane.Classifier FRONT

### BACK

    public static final Plane.Classifier BACK

### ON_PLANE

    public static final Plane.Classifier ON_PLANE

Method Detail

### values

    public static Plane.Classifier[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Plane.Classifier c : Plane.Classifier.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Plane.Classifier valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD